
-----------------------------------------------------------------
--Ingresa columna observaciones en tabla dis_catalogo_evento
-----------------------------------------------------------------
if not exists ( select * from INFORMATION_SCHEMA.COLUMNS where TABLE_NAME ='dis_evento_catalogo' and COLUMN_NAME='observaciones')
alter table [dis_evento_catalogo] add [observaciones] varchar(400)not null default ''
go

if not exists (select * from _columnas where tabla='dis_evento_catalogo' and columna='observaciones')
begin
insert into [_columnas] ([tabla], [columna] ,[mostrarEnGrilla] ,[ordenGrilla] ,[requerido] ,[tipo] ,[defecto] ,[tamano] )
values ('dis_evento_catalogo','observaciones',1,1,1,'varchar', ' ', 400)
end



SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_dis_evento_catalogo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_dis_evento_catalogo]
GO
CREATE PROCEDURE [reg_dis_evento_catalogo]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[evento_catalogo] AS [evento_catalogo],
		[equipoAuxiliar] AS [equipoAuxiliar],
		[cantidad] AS [cantidad],
		[valorUnitario] AS [valorUnitario],
		[total] AS [total],
		[id_evento] AS [id_evento],
		[id_catalogo] AS [id_catalogo],
		[observaciones] AS [observaciones]
	FROM [dis_evento_catalogo]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_dis_evento_catalogo]')) DROP VIEW [dbo].[view_dis_evento_catalogo]
GO
CREATE  VIEW [view_dis_evento_catalogo] AS
SELECT 	[dis_evento_catalogo].[id] AS [id],
		[dis_evento_catalogo].[uid] AS [uid],
		[dis_evento_catalogo].[eid] AS [eid],
		[dis_evento_catalogo].[id_usuario_modifico] AS [id_usuario_modifico],
		[dis_evento_catalogo].[id_usuario_creo] AS [id_usuario_creo],
		[dis_evento_catalogo].[fechaModificacion] AS [fechaModificacion],
		[dis_evento_catalogo].[fechaCreacion] AS [fechaCreacion],
		[dis_evento_catalogo].[active] AS [active],
		[dis_evento_catalogo].[evento_catalogo] AS [evento_catalogo],
		[dis_evento_catalogo].[equipoAuxiliar] AS [equipoAuxiliar],
		[dis_evento_catalogo].[cantidad] AS [cantidad],
		[dis_evento_catalogo].[valorUnitario] AS [valorUnitario],
		[dis_evento_catalogo].[total] AS [total],
		[dis_evento_catalogo].[id_evento] AS [id_evento],
[dis_evento].[evento] as [dis_evento_evento],
[dis_evento].[evento_codigo] as [dis_evento_evento_codigo],
[dis_evento].[fechaHoraInicio_ff] as [dis_evento_fechaHoraInicio_ff],
[dis_evento].[duracion_hh] as [dis_evento_duracion_hh],
[dis_evento].[afectaProduccion] as [dis_evento_afectaProduccion],
[dis_evento].[notas] as [dis_evento_notas],
[dis_evento].[id_equipo] as [dis_evento_id_equipo],
[dis_evento].[id_motivoEvento] as [dis_evento_id_motivoEvento],
[dis_evento].[id_usuario] as [dis_evento_id_usuario],
[dis_evento].[id_estadoEquipo] as [dis_evento_id_estadoEquipo],
[dis_evento].[id_falla] as [dis_evento_id_falla],
[dis_evento].[id_falla_causa] as [dis_evento_id_falla_causa],
[dis_evento].[id_metodoDeteccion] as [dis_evento_id_metodoDeteccion],
[dis_evento].[fechaHoraEstimada_fh] as [dis_evento_fechaHoraEstimada_fh],
[dis_evento].[eventoTipo] as [dis_evento_eventoTipo],
[dis_evento].[afectaCliente] as [dis_evento_afectaCliente],
[dis_evento].[id_estadoEvento] as [dis_evento_id_estadoEvento],
		[dis_evento_catalogo].[id_catalogo] AS [id_catalogo],
[cat_catalogo].[catalogo] as [cat_catalogo_catalogo],
[cat_catalogo].[catalogo_codigo] as [cat_catalogo_catalogo_codigo],
[cat_catalogo].[codigoInventario] as [cat_catalogo_codigoInventario],
[cat_catalogo].[precioVenta] as [cat_catalogo_precioVenta],
[cat_catalogo].[tiempoConsecucion] as [cat_catalogo_tiempoConsecucion],
[cat_catalogo].[esNacional] as [cat_catalogo_esNacional],
[cat_catalogo].[id_familia] as [cat_catalogo_id_familia],
[cat_catalogo].[id_subTipoCatalogo] as [cat_catalogo_id_subTipoCatalogo],
[cat_catalogo].[id_unidad] as [cat_catalogo_id_unidad],
[cat_catalogo].[id_impuesto] as [cat_catalogo_id_impuesto],
[cat_catalogo].[descripcion] as [cat_catalogo_descripcion],
[cat_catalogo].[bloquearCostear] as [cat_catalogo_bloquearCostear],
		[dis_evento_catalogo].[observaciones] AS [observaciones],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [dis_evento_catalogo]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[dis_evento_catalogo].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[dis_evento_catalogo].[id_usuario_creo]
	INNER JOIN [dis_evento] ON [dis_evento].id=[dis_evento_catalogo].[id_evento]
	INNER JOIN [cat_catalogo] ON [cat_catalogo].id=[dis_evento_catalogo].[id_catalogo]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [dis_evento_catalogo].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_catalogosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_catalogosXusuario_modifico]
GO
CREATE PROCEDURE [sel_dis_evento_catalogosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_dis_evento_catalogo]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_catalogosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_catalogosXusuario_creo]
GO
CREATE PROCEDURE [sel_dis_evento_catalogosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_dis_evento_catalogo]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_catalogosXevento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_catalogosXevento]
GO
CREATE PROCEDURE [sel_dis_evento_catalogosXevento]
	@p_id_evento INT
AS
BEGIN
	SELECT * 
	FROM [view_dis_evento_catalogo]
	WHERE ([id_evento]= @p_id_evento)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_catalogosXcatalogo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_catalogosXcatalogo]
GO
CREATE PROCEDURE [sel_dis_evento_catalogosXcatalogo]
	@p_id_catalogo INT
AS
BEGIN
	SELECT * 
	FROM [view_dis_evento_catalogo]
	WHERE ([id_catalogo]= @p_id_catalogo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_catalogos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_catalogos]
GO
CREATE PROCEDURE [sel_dis_evento_catalogos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_dis_evento_catalogo]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_dis_evento_catalogos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_dis_evento_catalogos]
GO
CREATE PROCEDURE [lis_dis_evento_catalogos]
	AS
BEGIN
	SELECT id AS id,
[evento_catalogo] AS [dis_evento_catalogo]
	FROM [dis_evento_catalogo]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_dis_evento_catalogo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_dis_evento_catalogo]
GO
CREATE PROCEDURE [upd_dis_evento_catalogo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_evento_catalogo varchar(300) = null,
		@p_equipoAuxiliar bit = null,
		@p_cantidad float = null,
		@p_valorUnitario float = null,
		@p_total float = null,
		@p_id_evento int = null,
		@p_id_catalogo int = null,
		@p_observaciones varchar(400) = null
AS
BEGIN
		UPDATE [dis_evento_catalogo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[evento_catalogo] = isnull(@p_evento_catalogo,[evento_catalogo]),
			[equipoAuxiliar] = isnull(@p_equipoAuxiliar,[equipoAuxiliar]),
			[cantidad] = isnull(@p_cantidad,[cantidad]),
			[valorUnitario] = isnull(@p_valorUnitario,[valorUnitario]),
			[total] = isnull(@p_total,[total]),
			[id_evento] = isnull(@p_id_evento,[id_evento]),
			[id_catalogo] = isnull(@p_id_catalogo,[id_catalogo]),
			[observaciones] = isnull(@p_observaciones,[observaciones])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_dis_evento_catalogo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_dis_evento_catalogo]
GO
CREATE PROCEDURE [ins_dis_evento_catalogo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_evento_catalogo varchar(300),
		@p_equipoAuxiliar bit,
		@p_cantidad float,
		@p_valorUnitario float,
		@p_total float,
		@p_id_evento int,
		@p_id_catalogo int,
		@p_observaciones varchar(400)
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [dis_evento_catalogo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[evento_catalogo],
			[equipoAuxiliar],
			[cantidad],
			[valorUnitario],
			[total],
			[id_evento],
			[id_catalogo],
			[observaciones])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_evento_catalogo,
			@p_equipoAuxiliar,
			@p_cantidad,
			@p_valorUnitario,
			@p_total,
			@p_id_evento,
			@p_id_catalogo,
			@p_observaciones)
		SET @v_id = scope_identity()
UPDATE [dis_evento_catalogo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_dis_evento_catalogo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_dis_evento_catalogo]
GO
CREATE PROCEDURE [act_dis_evento_catalogo]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [dis_evento_catalogo]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_dis_evento_catalogo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_dis_evento_catalogo_m]
GO
CREATE PROCEDURE [reg_dis_evento_catalogo_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[evento_catalogo] AS [evento_catalogo],
		[equipoAuxiliar] AS [equipoAuxiliar],
		[cantidad] AS [cantidad],
		[valorUnitario] AS [valorUnitario],
		[total] AS [total],
		[id_evento] AS [id_evento],
		[id_catalogo] AS [id_catalogo],
		[observaciones] AS [observaciones]
	FROM [dis_evento_catalogo]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_catalogosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_catalogosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_dis_evento_catalogosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_dis_evento_catalogo]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_catalogosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_catalogosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_dis_evento_catalogosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_dis_evento_catalogo]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_catalogosXevento_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_catalogosXevento_m]
GO
CREATE PROCEDURE [sel_dis_evento_catalogosXevento_m]
	@p_id_evento INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_dis_evento_catalogo]
	WHERE ([id_evento]= @p_id_evento)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_catalogosXcatalogo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_catalogosXcatalogo_m]
GO
CREATE PROCEDURE [sel_dis_evento_catalogosXcatalogo_m]
	@p_id_catalogo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_dis_evento_catalogo]
	WHERE ([id_catalogo]= @p_id_catalogo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_dis_evento_catalogos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_dis_evento_catalogos_m]
GO
CREATE PROCEDURE [sel_dis_evento_catalogos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_dis_evento_catalogo]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_dis_evento_catalogos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_dis_evento_catalogos_m]
GO
CREATE PROCEDURE [lis_dis_evento_catalogos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[evento_catalogo] AS [dis_evento_catalogo]
	FROM [dis_evento_catalogo]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_dis_evento_catalogo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_dis_evento_catalogo]
GO
CREATE PROCEDURE [aud_dis_evento_catalogo]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [dis_evento_catalogo].id as id_tabla,
	[dis_evento_catalogo].id_usuario_modifico as id_usuario_modifico,
	[dis_evento_catalogo].id_usuario_creo as id_usuario_creo,
	[dis_evento_catalogo].fechaModificacion as fechaModificacion,
	[dis_evento_catalogo].fechaCreacion as fechaCreacion,
	[dis_evento_catalogo].active as active,
	[dis_evento_catalogo].[evento_catalogo] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [dis_evento_catalogo]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[dis_evento_catalogo].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[dis_evento_catalogo].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
